Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.boot
Class Madkit

    java.lang.Object
      madkit.boot.Madkit

    public class Madkit

extends java.lang.Object

The starter class of MadKit. This class contains only static information and is only used for the ClassLoader and managing CLASSPATH informations...

Field Summary
`static java.lang.String` | `autoloadDir`
`static boolean` | `debug`
`static java.lang.String` | `homedirname`
`static java.lang.String` | `javaToolsDir`
`static java.lang.String` | `libDirectory`
`static java.lang.String` | `libDirName`
`static MadkitClassLoader` | `madkitClassLoader`
`static java.lang.String` | `madkitDirectory`
`static java.lang.String` | `madkitdirname`
`static java.lang.String` | `pluginsDirName`

Constructor Summary
`Madkit()`

Method Summary
`static void` | `addMadkitClassLoader(java.util.Vector urlList, java.io.File dir)`
`static java.net.URL[]` | `getAllURL()` Used at init time to get all jars that must be in the classpath
`static MadkitClassLoader` | `getClassLoader()`
`static java.io.File` | `lookForDirectory(java.lang.String dirname)`
`static void` | `main(java.lang.String[] args)`
`static void` | `newMadkitClassLoader(java.io.File[] jars)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    public static boolean debug

### madkitdirname

    public static final java.lang.String madkitdirname

See Also:
  Constant Field Values

### homedirname

    public static final java.lang.String homedirname

See Also:
  Constant Field Values

### libDirName

    public static final java.lang.String libDirName

See Also:
  Constant Field Values

### autoloadDir

    public static final java.lang.String autoloadDir

See Also:
  Constant Field Values

### pluginsDirName

    public static final java.lang.String pluginsDirName

See Also:
  Constant Field Values

### javaToolsDir

    public static final java.lang.String javaToolsDir

### libDirectory

    public static final java.lang.String libDirectory

### madkitDirectory

    public static final java.lang.String madkitDirectory

### madkitClassLoader

    public static MadkitClassLoader madkitClassLoader

Constructor Detail

### Madkit

    public Madkit()

Method Detail

### getClassLoader

    public static MadkitClassLoader getClassLoader()

### lookForDirectory

    public static java.io.File lookForDirectory(java.lang.String dirname)

### newMadkitClassLoader

    public static void newMadkitClassLoader(java.io.File[] jars)

### getAllURL

    public static java.net.URL[] getAllURL()

  Used at init time to get all jars that must be in the classpath

  Returns:
    an array of all the URLs (which are normally jar files)

### addMadkitClassLoader

    public static void addMadkitClassLoader(java.util.Vector urlList,
                                            java.io.File dir)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.